#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xD1,0xA9,0x9F,0x21,0x2C,0x14,0x44,0x4E,0x38,0xBF,0xAE,0x8B,
		0xBF,0x2E,0x5B,0x62,0x67,0xA2,0x48,0xE9,0xD6,0xBB,0xFF,0x41,
		0x86,0x1F,0x0D,0x2B,0xA8,0xE2,0x50,0x96,0x22,0x28,0xAB,0x7B,
		0x55,0xB6,0x1F,0x75,0xCA,0xF6,0x1F,0xA3,0xEF,0x0B,0x09,0xC6,
		0x89,0x51,0xDC,0x20,0xA3,0x0E,0xA1,0x00,0x11,0x44,0xD3,0xBD,
		0x10,0xA1,0xE5,0x73,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
